Bug 968424 - [abrt] libreoffice-core-3.6.6.2-5.fc18: __cxa_call_terminate: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 6 (SIGABRT)
[abrt] libreoffice-core-3.6.6.2-5.fc18: __cxa_call_terminate: Process /usr/li...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephan Bergmann
Fedora Extras Quality Assurance
abrt_hash:20fb054507205d617699b2ecaa0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 13:22 EDT by Viktor Matveenko
Modified: 2013-06-10 05:51 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 05:51:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (149.66 KB, text/plain)
2013-05-29 13:22 EDT, Viktor Matveenko
no flags Details
File: cgroup (132 bytes, text/plain)
2013-05-29 13:22 EDT, Viktor Matveenko
no flags Details
File: dso_list (35.40 KB, text/plain)
2013-05-29 13:22 EDT, Viktor Matveenko
no flags Details
File: environ (2.03 KB, text/plain)
2013-05-29 13:22 EDT, Viktor Matveenko
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-29 13:22 EDT, Viktor Matveenko
no flags Details
File: maps (168.83 KB, text/plain)
2013-05-29 13:22 EDT, Viktor Matveenko
no flags Details
File: open_fds (5.65 KB, text/plain)
2013-05-29 13:22 EDT, Viktor Matveenko
no flags Details
File: proc_pid_status (948 bytes, text/plain)
2013-05-29 13:22 EDT, Viktor Matveenko
no flags Details
File: var_log_messages (890 bytes, text/plain)
2013-05-29 13:22 EDT, Viktor Matveenko
no flags Details

  None (edit)
Description Viktor Matveenko 2013-05-29 13:22:04 EDT
Version-Release number of selected component:
libreoffice-core-3.6.6.2-5.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer '/home/HetmanNet/\xd0\x9d\xd0\xb0\xd0\xb2\xd1\x87\xd0\xb0\xd0\xbd\xd0\xbd\xd1\x8f/\xd0\xa1\xd0\x9a\xd0\x95\xd0\x9f - \xd0\x9a\xd1\x83\xd1\x80\xd1\x81\xd0\xbe\xd0\xb2\xd0\xb0 \xd1\x80\xd0\xbe\xd0\xb1\xd0\xbe\xd1\x82\xd0\xb0 - \xd0\x9f\xd0\xbe\xd1\x8f\xd1\x81\xd0\xbd\xd1\x8e\xd0\xb2\xd0\xb0\xd0\xbb\xd1\x8c\xd0\xbd\xd0\xb0 \xd0\xb7\xd0\xb0\xd0\xbf\xd0\xb8\xd1\x81\xd0\xba\xd0\xb0.odt' --splash-pipe=6
core_backtrace: 
crash_function: __cxa_call_terminate
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 __cxa_call_terminate at ../../../../libstdc++-v3/libsupc++/eh_call.cc:56
 #5 __cxxabiv1::__gxx_personality_v0 at ../../../../libstdc++-v3/libsupc++/eh_personality.cc:665
 #6 _Unwind_RaiseException_Phase2 at ../../../libgcc/unwind.inc:62
 #7 _Unwind_Resume at ../../../libgcc/unwind.inc:230
 #8 ~XInterface at /usr/src/debug/libreoffice-3.6.6.2/solver/unxlngx6.pro/inc/udkapi/com/sun/star/uno/XInterface.hdl:28
 #9 ~XTypeProvider at /usr/src/debug/libreoffice-3.6.6.2/solver/unxlngx6.pro/inc/udkapi/com/sun/star/lang/XTypeProvider.hdl:29
 #10 OWriteStream::~OWriteStream at /usr/src/debug/libreoffice-3.6.6.2/package/source/xstor/owriteablestream.cxx:1844
 #12 ~Reference at /usr/src/debug/libreoffice-3.6.6.2/solver/unxlngx6.pro/inc/com/sun/star/uno/Reference.hxx:117
 #13 SwXMLWriter::WriteThroughComponent at /usr/src/debug/libreoffice-3.6.6.2/sw/source/filter/xml/wrtxml.cxx:580
 #14 SwXMLWriter::_Write at /usr/src/debug/libreoffice-3.6.6.2/sw/source/filter/xml/wrtxml.cxx:427

Potential duplicate: bug 876073
Comment 1 Viktor Matveenko 2013-05-29 13:22:10 EDT
Created attachment 754479 [details]
File: backtrace
Comment 2 Viktor Matveenko 2013-05-29 13:22:14 EDT
Created attachment 754480 [details]
File: cgroup
Comment 3 Viktor Matveenko 2013-05-29 13:22:18 EDT
Created attachment 754481 [details]
File: dso_list
Comment 4 Viktor Matveenko 2013-05-29 13:22:22 EDT
Created attachment 754482 [details]
File: environ
Comment 5 Viktor Matveenko 2013-05-29 13:22:26 EDT
Created attachment 754483 [details]
File: limits
Comment 6 Viktor Matveenko 2013-05-29 13:22:31 EDT
Created attachment 754484 [details]
File: maps
Comment 7 Viktor Matveenko 2013-05-29 13:22:34 EDT
Created attachment 754485 [details]
File: open_fds
Comment 8 Viktor Matveenko 2013-05-29 13:22:38 EDT
Created attachment 754486 [details]
File: proc_pid_status
Comment 9 Viktor Matveenko 2013-05-29 13:22:42 EDT
Created attachment 754487 [details]
File: var_log_messages
Comment 10 Stephan Bergmann 2013-05-30 03:53:43 EDT
This leaves me clueless.  It looks like the user is idle and LibreOffice does a timer-triggered autosave of a modified document, and in SwXMLWriter::WriteThroughComponent (sw/source/filter/xml/wrtxml.cxx; the first of the two overloads, taking xComponent as first argument) it did stack-unwinding duties for an exception being thrown, and now ran into trouble when resuming.  Unfortunately, the backtrace gives no idea of what that trouble is (I dropped a crazy idea how we might get more information for cases like this in the future at <http://lists.freedesktop.org/archives/libreoffice/2013-May/052699.html> "Re: Gdb support for exceptions (Re: using backtrace() in exception throwing?)," lets see if anything comes out of that).

Viktor, I assume you cannot reproduce this, right?

Note You need to log in before you can comment on or make changes to this bug.